Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.Designer.cs	(revision 149)
@@ -2627,5 +3043,34 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn47;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn54;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn55;
+        private System.Windows.Forms.TabPage tabPage6;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label label6;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.Label label8;
+        private System.Windows.Forms.Label label9;
+        private System.Windows.Forms.Button btnTab6LineNew;
+        private System.Windows.Forms.Label label10;
+        private System.Windows.Forms.Label label11;
+        private System.Windows.Forms.Label label12;
+        private System.Windows.Forms.Label label13;
+        private System.Windows.Forms.Button btnTab6LineDel;
+        private CustomControls.DataGridViewEX dgvPage6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn56;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn57;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn58;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn59;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn60;
+        private System.Windows.Forms.DataGridViewButtonColumn dataGridViewButtonColumn13;
+        private System.Windows.Forms.DataGridViewButtonColumn dataGridViewButtonColumn14;
+        private System.Windows.Forms.DataGridViewButtonColumn dataGridViewButtonColumn15;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn61;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn62;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn63;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn64;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn65;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn66;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn67;
+        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn68;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCosts.cs	(revision 149)
@@ -59,6 +59,10 @@
             /// 宿泊費
             /// </summary>
             Lodging,
+            /// <summary>
+            /// 処分費
+            /// </summary>
+            DisposalCost,
         }
         #endregion
 
@@ -154,9 +158,9 @@
 
         #region タブページごとの色
         /// <summary>
-        /// タブページごとの色 { 交通費, 購入品費, 車両リース代, 駐車場・資材置き場代, 宿泊費 }
+        /// タブページごとの色 { 交通費, 購入品費, 車両リース代, 駐車場・資材置き場代, 宿泊費, 処分費 }
         /// </summary>
-        private static Color[] s_TabColor = new Color[] { Color.LightSalmon, Color.LightGreen, Color.LightBlue, Color.Khaki, Color.LightGray };
+        private static Color[] s_TabColor = new Color[] { Color.LightSalmon, Color.LightGreen, Color.LightBlue, Color.Khaki, Color.LemonChiffon, Color.LightGray };
         #endregion
 
         #region データ種別名
@@ -163,7 +167,7 @@
         /// <summary>
         /// データ種別名
         /// </summary>
-        private static string[] s_DataTypeString = new string[] { "交通費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿泊費" };
+        private static string[] s_DataTypeString = new string[] { "交通費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿泊費", "処分費" };
         #endregion
 
         #region 支払方法種別
@@ -854,9 +858,6 @@
             // データ登録処理
             if (!DataEntryProcess()) return;
 
-            // 終了時に工事詳細台帳とのデータ連携を行う
-            LinkageLedgerData();
-
             CommonMotions.EntryEndMessage("交通費・購入品データ");
 
             bool bSelFlg = false;
@@ -968,7 +969,7 @@
             SetcombBoxPerson();
 
             // データ表示
-            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.DisposalCost; ix++)
             {
                 // データを表示する
                 SetGridData(ix);
@@ -1017,7 +1018,7 @@
             }
             SetPerosonToDepartment();
             // データ表示
-            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.DisposalCost; ix++)
             {
                 // データを表示する
                 SetGridData(ix);
@@ -1066,7 +1067,7 @@
             }
 
             // データ表示
-            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+            for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.DisposalCost; ix++)
             {
                 // データを表示する
                 SetGridData(ix);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 149)
@@ -39,7 +39,7 @@
                 }
 
                 // グリッドコントロールのセット
-                m_dispGridControl = new DataGridView[] { dgvPage1, dgvPage2, dgvPage3, dgvPage4, dgvPage5 };
+                m_dispGridControl = new DataGridView[] { dgvPage1, dgvPage2, dgvPage3, dgvPage4, dgvPage5, dgvPage6 };
 
                 // 表示ラベルオブジェクトのセット
                 int LabelCnt = Enum.GetNames(typeof(DispControl)).Length;
@@ -53,21 +53,22 @@
                 /// <summary>
                 /// タブ毎合計ラベル配列
                 /// </summary>
-                m_label_TabTotal = new Label[,]{{label40,label55,label56}, 
-                                                {label41,label68,label67},
-                                                {label42,label80,label79},
-                                                {label43,label92,label91},
-                                                {label44,label104,label103}};
+                m_label_TabTotal = new Label[,]{{ label40, label55, label56 }, 
+                                                { label41, label68, label67 },
+                                                { label42, label80, label79 },
+                                                { label43, label92, label91 },
+                                                { label44, label104, label103 },
+                                                { label13, label12, label11 } };
 
-
                 /// <summary>
                 /// タブ毎ボタン配列
                 /// </summary>
-                m_button_Action = new Button[,] { {btnTab1LineNew,btnTab1LineDel},
-                                                {btnTab2LineNew,btnTab2LineDel},
-                                                {btnTab3LineNew,btnTab3LineDel},
-                                                {btnTab4LineNew,btnTab4LineDel},
-                                                {btnTab5LineNew,btnTab5LineDel}};
+                m_button_Action = new Button[,] { { btnTab1LineNew, btnTab1LineDel },
+                                                  { btnTab2LineNew, btnTab2LineDel },
+                                                  { btnTab3LineNew, btnTab3LineDel },
+                                                  { btnTab4LineNew, btnTab4LineDel },
+                                                  { btnTab5LineNew, btnTab5LineDel },
+                                                  { btnTab6LineNew, btnTab6LineDel } };
 
             }
             catch (System.Exception ex)
@@ -629,7 +630,7 @@
                     idifference = (dgvPage1.Width - allWidth) / 3;
                 }
 
-                for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+                for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.DisposalCost; ix++)
                 {
                     int CellWidth1 = m_CellSize[(int)DispGridColumn.ConstractionName];
                     int CellWidth2 = m_CellSize[(int)DispGridColumn.PaymentContent];
@@ -660,7 +661,7 @@
         {
             try
             {
-                for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.Lodging; ix++)
+                for (int ix = (int)InputTabCount.Transport; ix <= (int)InputTabCount.DisposalCost; ix++)
                 {
                     // データを表示する
                     SetGridData(ix);
@@ -1227,6 +1228,9 @@
                 case (int)InputTabCount.Lodging:
                     DataType = (int)CommonDefine.CostDataNo.Lodging;
                     break;
+                case (int)InputTabCount.DisposalCost:
+                    DataType = (int)CommonDefine.CostDataNo.DisposalCost;
+                    break;
             }
             return DataType;
         }
@@ -1304,7 +1308,7 @@
                 string strSubSQL = string.Empty;
                 List<CostDataOfPerson> NewList = new List<CostDataOfPerson>();
                 // 全タブを対象に処理を行う
-                for (int i = (int)InputTabCount.Transport; i <= (int)InputTabCount.Lodging; i++)
+                for (int i = (int)InputTabCount.Transport; i <= (int)InputTabCount.DisposalCost; i++)
                 {
                     // グリッド取得
                     DataGridView dgv = m_dispGridControl[i];
@@ -1321,12 +1325,13 @@
                     }
                 }
                 // 追加データ無は処理しない
-                if (NewList.Count < 1) return true;
-
-                if (!CostDB.InsertAction(NewList, false))
+                if (NewList.Count > 0)
                 {
-                    MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return false;
+                    if (!CostDB.InsertAction(NewList, false))
+                    {
+                        MessageBox.Show("担当者毎経費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
                 }
 
                 CostDB.commit();
@@ -1538,7 +1543,7 @@
                 }
                     
                 // 全タブを対象に処理を行う
-                for (int i = (int)InputTabCount.Transport; i <= (int)InputTabCount.Lodging; i++)
+                for (int i = (int)InputTabCount.Transport; i <= (int)InputTabCount.DisposalCost; i++)
                 {
                     DataGridView dgv = m_dispGridControl[i];
                     // グリッドの行分処理を行う
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 149)
@@ -485,6 +485,39 @@
         }
         #endregion
 
+        #region セキュリティマスタフィールドＳＱＬ作成
+        /// <summary>
+        /// セキュリティマスタフィールドＳＱＬ作成
+        /// </summary>
+        /// <param name="Alias"></param>
+        /// <returns></returns>
+        private string CreateFeildSQL(string Alias)
+        {
+            try
+            {
+                StringBuilder strcmd = new StringBuilder();
+
+                strcmd.AppendFormat("  {0}SecCode", Alias);
+                strcmd.AppendFormat(" ,{0}DisplayOrder", Alias);
+                strcmd.AppendFormat(" ,{0}SecName", Alias);
+                strcmd.AppendFormat(" ,{0}SecRank", Alias);
+                strcmd.AppendFormat(" ,{0}SecRange", Alias);
+                strcmd.AppendFormat(" ,{0}GeneralAffairs", Alias);
+                strcmd.AppendFormat(" ,{0}SelectBackColor", Alias);
+
+                strcmd.AppendFormat(" ,DATE_FORMAT({0}EntryDate, '%Y/%m/%d %H:%i:%s')", Alias);
+                strcmd.AppendFormat(" ,DATE_FORMAT({0}UpdateDate, '%Y/%m/%d %H:%i:%s')", Alias);
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 処理起動グリッドへマスタデータのセット
         /// <summary>
         /// 処理起動グリッドへマスタデータのセット
@@ -498,9 +531,9 @@
 
                 // 起動対象マスタ取得
                 string strSQL = "SELECT";
-                strSQL += " A.*,";
-                strSQL += " B.EXECCODE,";
-                strSQL += " B.EDITFLG";
+                strSQL += CreateFeildSQL("A.");
+                strSQL += ", B.EXECCODE";
+                strSQL += ", B.EDITFLG";
                 strSQL += " FROM SECURITYMASTER A";
                 strSQL += " LEFT JOIN PROCESSEXCUTEMASTER B ON B.SECCODE = A.SECCODE";
                 strSQL += " ORDER BY A.DISPLAYORDER, B.EXECCODE";
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAddressSearch.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAddressSearch.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAddressSearch.cs	(revision 149)
@@ -727,7 +727,6 @@
                 StringBuilder sb = new StringBuilder();
 
                 using (System.IO.StreamWriter sw = new System.IO.StreamWriter(CommonDefine.s_AddressWorkOutput, false, System.Text.Encoding.GetEncoding("shift_jis")))
-                //using (StreamWriter sw = File.CreateText(@ProcessCommon.s_AddressFileOutput))
                 {
                     foreach (string CurrentString in InputString)
                     {
